#!/bin/bash

APP_NAME="meti-backend"
PORT="4000"

echo "🔄 Pulling latest code..."
git pull

echo "🐳 Building Docker image..."
docker build -t $APP_NAME .

echo "🛑 Stopping and removing old container..."
docker stop $APP_NAME 2>/dev/null
docker rm $APP_NAME 2>/dev/null

echo "🚀 Running new container..."
docker run -d --name $APP_NAME \
  -p 4001:$PORT \
  -v "$(pwd)/infra":/infra:ro \
  -v "$(pwd)/templates":/templates:ro \
  $APP_NAME:latest

echo "✅ Deployment complete."
